k_pool3d {keras} | R Documentation

## 3D Pooling.

### Description

3D Pooling.

### Usage

    k_pool3d(x, pool_size, strides = c(1, 1, 1), padding = "valid",
      data_format = NULL, pool_mode = "max")

### Arguments

`x` | Tensor or variable.
`pool_size` | list of 3 integers.
`strides` | list of 3 integers.
`padding` | string, `"same"` or `"valid"`.
`data_format` | string, `"channels_last"` or `"channels_first"`.
`pool_mode` | string, `"max"` or `"avg"`.

### Value

A tensor, result of 3D pooling.

### Keras Backend

This function is part of a set of Keras backend functions that enable lower level access to the core operations of the backend tensor engine (e.g. TensorFlow, CNTK, Theano, etc.).

You can see a list of all available backend functions here: https://keras.rstudio.com/articles/backend.html#backend-functions.

[Package keras version 2.2.4 Index]